LUCSS< STANDARD, H > Struct Template Reference

LUC signature scheme with appendix. More...

Inheritance diagram for LUCSS< STANDARD, H >:

## Additional Inherited Members

Public Types inherited from TF_SS< STANDARD, H, LUC >
typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions< TF_SS< STANDARD, H, LUC, int >, LUC, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate< TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate< TF_VerifierImpl< SchemeOptions > > | Verifier
| implements PK_Verifier interface
Public Types inherited from LUC
typedef LUCFunction | PublicKey
typedef InvertibleLUCFunction | PrivateKey
Static Public Member Functions inherited from TF_SS< STANDARD, H, LUC >
static std::string | StaticAlgorithmName ()
Static Public Member Functions inherited from LUC
static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD, class H>
struct LUCSS< STANDARD, H >

LUC signature scheme with appendix.

Definition at line 120 of file luc.h.

The documentation for this struct was generated from the following file:

- luc.h